### Function

# GioUnix FDMessage get_fd_list

since: 2.24

#### Declaration

    GUnixFDList*
    g_unix_fd_message_get_fd_list (
      GUnixFDMessage* message
    )

#### Description

Gets the `GUnixFDList` contained in `message`. This function does not return a reference to the caller, but the returned list is valid for the lifetime of `message`.

Available since: 2.24

#### Parameters

`message`

  Type: `GUnixFDMessage`

  A `GUnixFDMessage`.

  The data is owned by the caller of the function.

#### Return value

Type: `GUnixFDList`

The `GUnixFDList` from `message`.

The data is owned by the called function.